﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using Infragistics.Win.UltraWinEditors;
using System.Diagnostics;

namespace _97824
{
    public partial class Form1 : Form
    {

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("EnumEString", typeof(string));
            dt.Columns.Add("EnumE", typeof(int));
            
            dt.Rows.Add("1", 1);
            dt.Rows.Add("2", 2);
            dt.Rows.Add("7", 7);

            ultraGrid1.InitializeLayout += new Infragistics.Win.UltraWinGrid.InitializeLayoutEventHandler(ultraGrid1_InitializeLayout);
            ultraGrid1.AfterCellUpdate +=new CellEventHandler(ultraGrid1_AfterCellUpdate);
            ultraGrid1.DataSource = dt;
        }

        void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Bands[0].Columns["EnumEString"].CellActivation = Activation.ActivateOnly;
           
            e.Layout.Bands[0].Columns["EnumE"].EditorComponent = ultraControlContainerEditor1;
        }

        private void ultraGrid1_AfterCellUpdate(object sender, Infragistics.Win.UltraWinGrid.CellEventArgs e)
        {
            if (e.Cell.Column.Key == "EnumE")
            {
                e.Cell.Row.Cells["EnumEString"].Value = e.Cell.Value;
            }
        }
    }
}
